<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Products.aspx.cs" Inherits="Products" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Products</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:FormView ID="FormView1" runat="server" AllowPaging="True" CellPadding="4" DataKeyNames="ProductID"
                DataSourceID="SqlDataSource1" ForeColor="#333333" Width="400px" Caption="<H3>Products</H3>">
                <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <EditItemTemplate>
                    <table style="width: 100%">
                        <tr>
                            <td>
                                Product Name:
                            </td>
                            <td>
                                <asp:TextBox ID="ProductNameTextBox" runat="server" Text='<%# Bind("ProductName") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Supplier:
                            </td>
                            <td>
                                <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="sqlSuppliers" DataTextField="CompanyName"
                                    DataValueField="SupplierID" SelectedValue='<%# Bind("SupplierID") %>'>
                                </asp:DropDownList><asp:SqlDataSource ID="sqlSuppliers" runat="server" CacheDuration="60"
                                    ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" EnableCaching="True"
                                    SelectCommand="SELECT SupplierID, CompanyName FROM Suppliers ORDER BY CompanyName">
                                </asp:SqlDataSource>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Category:
                            </td>
                            <td>
                                <asp:DropDownList ID="DropDownList2" runat="server" DataSourceID="sqlCategories"
                                    DataTextField="CategoryName" DataValueField="CategoryID" SelectedValue='<%# Bind("CategoryID") %>'>
                                </asp:DropDownList><asp:SqlDataSource ID="sqlCategories" runat="server" CacheDuration="120"
                                    ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" EnableCaching="True"
                                    SelectCommand="SELECT CategoryName, CategoryID FROM Categories ORDER BY CategoryName">
                                </asp:SqlDataSource>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Quantity Per Unit:</td>
                            <td>
                                <asp:TextBox ID="QuantityPerUnitTextBox" runat="server" Text='<%# Bind("QuantityPerUnit") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Unit Price:</td>
                            <td>
                                <asp:TextBox ID="UnitPriceTextBox" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox></td>
                            <td>
                                <asp:RangeValidator ID="UnitPriceTextBoxValidator" ControlToValidate="UnitPriceTextBox"
                                    runat="server" ErrorMessage="Invalid amount" MinimumValue="0" MaximumValue="10000"
                                    Type="Double"></asp:RangeValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units In Stock:</td>
                            <td>
                                <asp:TextBox ID="UnitsInStockTextBox" runat="server" Text='<%# Bind("UnitsInStock") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units On Order:</td>
                            <td>
                                <asp:TextBox ID="UnitsOnOrderTextBox" runat="server" Text='<%# Bind("UnitsOnOrder") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Reorder Level:
                            </td>
                            <td>
                                <asp:TextBox ID="ReorderLevelTextBox" runat="server" Text='<%# Bind("ReorderLevel") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Discontinued:
                            </td>
                            <td>
                                <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Bind("Discontinued") %>' /></td>
                            <td>
                            </td>
                        </tr>
                    </table>
                    <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                        Text="Update"></asp:LinkButton>
                    <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="Cancel"></asp:LinkButton>
                </EditItemTemplate>
                <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                <InsertItemTemplate>
                    <table style="width: 100%">
                        <tr>
                            <td>
                                Product Name:
                            </td>
                            <td>
                                <asp:TextBox ID="ProductNameTextBox" runat="server" Text='<%# Bind("ProductName") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Supplier:
                            </td>
                            <td>
                                <asp:DropDownList ID="listSuppliers" runat="server" DataSourceID="sqlSuppliers" DataTextField="CompanyName"
                                    DataValueField="SupplierID" AppendDataBoundItems="true" SelectedValue='<%# Bind("SupplierID") %>'>
                                <asp:ListItem Text="Select..." Value="-1"></asp:ListItem></asp:DropDownList><asp:SqlDataSource ID="sqlSuppliers" runat="server" CacheDuration="60"
                                    ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" EnableCaching="True"
                                    SelectCommand="SELECT SupplierID, CompanyName FROM Suppliers ORDER BY CompanyName">
                                </asp:SqlDataSource>
                            </td>
                            <td>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="listSuppliers"
                                    ErrorMessage="Required" InitialValue="-1" SetFocusOnError="True"></asp:RequiredFieldValidator></td>
                        </tr>
                        <tr>
                            <td>
                                Category:
                            </td>
                            <td>
                                <asp:DropDownList ID="listCategories" runat="server" DataSourceID="sqlCategories"
                                    DataTextField="CategoryName" AppendDataBoundItems="true" DataValueField="CategoryID" SelectedValue='<%# Bind("CategoryID") %>'>
                                    <asp:ListItem Text="Select..." Value="-1"></asp:ListItem>
                                </asp:DropDownList><asp:SqlDataSource ID="sqlCategories" runat="server" CacheDuration="120"
                                    ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" EnableCaching="True"
                                    SelectCommand="SELECT CategoryName, CategoryID FROM Categories ORDER BY CategoryName">
                                </asp:SqlDataSource>
                            </td>
                            <td>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="listCategories"
                                    ErrorMessage="Required" InitialValue="-1" SetFocusOnError="True"></asp:RequiredFieldValidator></td>
                        </tr>
                        <tr>
                            <td>
                                Quantity Per Unit:</td>
                            <td>
                                <asp:TextBox ID="QuantityPerUnitTextBox" runat="server" Text='<%# Bind("QuantityPerUnit") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Unit Price:</td>
                            <td>
                                <asp:TextBox ID="UnitPriceTextBox" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox></td>
                            <td>
                                <asp:RangeValidator ID="UnitPriceTextBoxValidator" ControlToValidate="UnitPriceTextBox"
                                    runat="server" ErrorMessage="Invalid amount" MinimumValue="0" MaximumValue="10000"
                                    Type="Double"></asp:RangeValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units In Stock:</td>
                            <td>
                                <asp:TextBox ID="UnitsInStockTextBox" runat="server" Text='<%# Bind("UnitsInStock") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units On Order:</td>
                            <td>
                                <asp:TextBox ID="UnitsOnOrderTextBox" runat="server" Text='<%# Bind("UnitsOnOrder") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Reorder Level:
                            </td>
                            <td>
                                <asp:TextBox ID="ReorderLevelTextBox" runat="server" Text='<%# Bind("ReorderLevel") %>'></asp:TextBox></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Discontinued:
                            </td>
                            <td>
                                <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Bind("Discontinued") %>' /></td>
                            <td>
                            </td>
                        </tr>
                    </table>                    
                    <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                        Text="Insert">
                    </asp:LinkButton>
                    <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="Cancel">
                    </asp:LinkButton>
                </InsertItemTemplate>
                <ItemTemplate>
                    <table width="100%">
                        <tr>
                            <td width="35%">
                                Product Name:</td>
                            <td>
                                <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Bind("ProductName") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Supplier:</td>
                            <td>
                                <asp:Label ID="SupplierIDLabel" runat="server" Text='<%# Bind("SupplierName") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Category:
                            </td>
                            <td>
                                <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Bind("CategoryName") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Quantity Per Unit:
                            </td>
                            <td>
                                <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Bind("QuantityPerUnit") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Unit Price:
                            </td>
                            <td>
                                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Bind("UnitPrice", "{0:C}") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Units In Stock:</td>
                            <td>
                                <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Bind("UnitsInStock") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Units On Order:</td>
                            <td>
                                <asp:Label ID="UnitsOnOrderLabel" runat="server" Text='<%# Bind("UnitsOnOrder") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Reorder Level:
                            </td>
                            <td>
                                <asp:Label ID="ReorderLevelLabel" runat="server" Text='<%# Bind("ReorderLevel") %>'></asp:Label></td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td width="35%">
                                Discontinued:
                            </td>
                            <td>
                                <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Bind("Discontinued") %>'
                                    Enabled="false" /></td>
                            <td>
                            </td>
                        </tr>
                    </table>
                    <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                        Text="Edit"></asp:LinkButton>
                    <asp:LinkButton ID="DeleteButton" runat="server" OnClientClick="return confirm('Are you sure you want to delete this record?');" CausesValidation="False" CommandName="Delete"
                        Text="Delete"></asp:LinkButton>
                    <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                        Text="New"></asp:LinkButton>
                </ItemTemplate>
                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <PagerSettings FirstPageText="First" LastPageText="Last"
                    NextPageText="Next" PreviousPageText="Prev" />
            </asp:FormView>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued]) VALUES (@ProductName, @SupplierID, @CategoryID, @QuantityPerUnit, @UnitPrice, @UnitsInStock, @UnitsOnOrder, @ReorderLevel, @Discontinued)"
                SelectCommand="SELECT ProductID, ProductName, SupplierID, CategoryID, QuantityPerUnit, UnitPrice, UnitsInStock, UnitsOnOrder, ReorderLevel, Discontinued, (SELECT CompanyName FROM Suppliers WHERE (Products.SupplierID = SupplierID)) AS SupplierName, (SELECT CategoryName FROM Categories WHERE (Products.CategoryID = CategoryID)) AS CategoryName FROM Products ORDER BY ProductName"
                UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [SupplierID] = @SupplierID, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice, [UnitsInStock] = @UnitsInStock, [UnitsOnOrder] = @UnitsOnOrder, [ReorderLevel] = @ReorderLevel, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
                <DeleteParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="SupplierID" Type="Int32" />
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="UnitsInStock" Type="Int16" />
                    <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                    <asp:Parameter Name="ReorderLevel" Type="Int16" />
                    <asp:Parameter Name="Discontinued" Type="Boolean" />
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="SupplierID" Type="Int32" />
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="UnitsInStock" Type="Int16" />
                    <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                    <asp:Parameter Name="ReorderLevel" Type="Int16" />
                    <asp:Parameter Name="Discontinued" Type="Boolean" />
                </InsertParameters>
            </asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
